メインコンテンツへスキップ
GET
/
storage_policy_assignments
cURL
curl -i -X GET "https://api.box.com/2.0/storage_policy_assignments?resolved_for_type=userresolved_for_id=984322" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
      "type": "storage_policy_assignment",
      "storage_policy": {
        "id": "11446498",
        "type": "storage_policy"
      },
      "assigned_to": {
        "id": "11446498",
        "type": "file"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

resolved_for_type
enum<string>
必須

割り当てを返すターゲットのタイプ。

利用可能なオプション:
user,
enterprise
resolved_for_id
string
必須

割り当てを返すユーザーまたは企業のID。

レスポンス

会社またはユーザーのストレージポリシーのコレクションを返します。

ストレージポリシー割り当てのリスト。

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

prev_marker
string | null

前の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"

entries
ストレージポリシー割り当て · object[]

ストレージポリシー割り当てのリスト。